Skip to main content
POST
/
registrants
/
{registrant_id}
/
groups
/
{group_id}
Add Registrant to Group
curl --request POST \
  --url https://api.swoogo.com/api/v1/registrants/{registrant_id}/groups/{group_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/x-www-form-urlencoded'
{
  "id": 123,
  "group_id": 456,
  "event_id": 789,
  "reg_type_id": {
    "id": 1,
    "value": "Standard"
  },
  "registration_status": "confirmed",
  "group_number": 1,
  "created_at": "2025-01-01 12:00:00",
  "updated_at": "2025-01-01 12:00:00"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

registrant_id
integer
required

integer - required - The ID of the registrant to be added to the group

Example:

123

group_id
integer
required

integer - required - The ID of the group to add the registrant to

Example:

456

Body

application/x-www-form-urlencoded

The body is of type object.

Response

Registrant successfully added to group

id
integer

The registrant ID

Example:

123

group_id
integer

The group ID that the registrant was added to

Example:

456

event_id
integer

The event ID this registrant belongs to

Example:

789

reg_type_id
object

The registration type of the registrant

package_id
null | integer
Example:

null

discount_code
null | string
Example:

null

vat_number
string
Example:

""

first_name
string
Example:

"John"

email
string
Example:

"user@example.com"

sq_406
object[]
bio
string
Example:

""

last_name
string
Example:

"Smith"

company
string
Example:

"Company Inc"

job_title
string
Example:

"Manager"

mobile_phone
string
Example:

"+1234567890"

profile_picture
string
Example:

"https://example.com/profile.jpg"

contact_id
integer
Example:

1

session_ids
string[]
Example:
["1", "2"]
waitlisted_session_ids
string[]
Example:
[]
notes
null | string
Example:

null

reference
null | string
Example:

null

ip_address
string
Example:

"127.0.0.1"

individual_net
string
Example:

"0.00"

individual_tax
string
Example:

"0.00"

individual_tax_2
string
Example:

"0.00"

individual_gross
string
Example:

"0.00"

group_net
integer
Example:

0

group_tax
integer
Example:

0

group_tax_2
integer
Example:

0

group_gross
integer
Example:

0

group_paid
integer
Example:

0

created_at
string<date-time>
Example:

"2025-01-01 12:00:00"

updated_at
string<date-time>
Example:

"2025-01-01 12:00:00"

registered_at
string<date-time>
Example:

"2025-01-01 12:00:00"

cancelled_at
null | string<date-time>
Example:

null

checked_in_at
null | string<date-time>
Example:

null

ext_token
string
Example:

"token123"

secure_id
string
Example:

"id123"

timezone
string
Example:

"UTC"

registration_status
string
Example:

"confirmed"

language
string
Example:

"en"

payment_method
string
Example:

"credit_card"

po_number
string
Example:

""

payment_status
object
group_balance_due
integer
Example:

0